package com.kxs.store.biz.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 兑换券状态
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum StoreStatusEnum {

    C_NEED_CFM(0, "待确认"),
    C_ON_CFM(1, "已确认"),
    C_RETURN(2, "已拒绝"),

    /**
     * 仓库库存变动类型
     */
    STOCK_PUSH(0, "入库"),
    STOCK_OUT(1, "出库"),
    STOCK__TSF(2, "调拨"),

    ;

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
